

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="fr">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Index &#8212; Documentation Segmentation Image 4.0</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/translations.js"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Recherche" href="search.html" /> 
  </head><body>
<div style="background-color: white; text-align: left; padding: 10px 10px 15px 15px">
  <a href="index.html">
  <img src="_static/logo.png" border="0" alt="Segmentation Image"/>
  </a>
</div>

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="#" title="Index général"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Index des modules Python"
             >modules</a> |</li>
<li><a href="index.html">Segmentation Image home</a>| </li>
<li><a href="contents.html">Documentation </a> &raquo;</li>
 
      </ul>
    </div>

      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<div id="searchbox" style="display: none" role="search">
  <h3>Recherche rapide</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#_"><strong>_</strong></a>
 | <a href="#A"><strong>A</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#E"><strong>E</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#O"><strong>O</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 
</div>
<h2 id="_">_</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Arc.Arc.__init__">__init__() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.__init__">[1]</a>

      <ul>
        <li><a href="tec_doc - Copie.html#Couleur.Couleur.__init__">(méthode Couleur.Couleur)</a>, <a href="tec_doc.html#Couleur.Couleur.__init__">[1]</a>
</li>
        <li><a href="tec_doc.html#Gradient.Pixel.__init__">(méthode Gradient.Pixel)</a>
</li>
        <li><a href="tec_doc - Copie.html#Graphe.Graphe.__init__">(méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.__init__">[1]</a>
</li>
        <li><a href="tec_doc - Copie.html#Image.Image.__init__">(méthode Image.Image)</a>, <a href="tec_doc.html#Image.Image.__init__">[1]</a>
</li>
        <li><a href="tec_doc.html#ListeTrieePixel.ListeTrieePixel.__init__">(méthode ListeTrieePixel.ListeTrieePixel)</a>
</li>
        <li><a href="tec_doc.html#Partage_eaux.Partage_eaux.__init__">(méthode Partage_eaux.Partage_eaux)</a>
</li>
        <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application.__init__">(méthode Segmentation_GUI.Application)</a>, <a href="tec_doc.html#Segmentation_GUI.Application.__init__">[1]</a>
</li>
        <li><a href="tec_doc - Copie.html#Sommet.Sommet.__init__">(méthode Sommet.Sommet)</a>, <a href="tec_doc.html#Sommet.Sommet.__init__">[1]</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Arc.Arc.__weakref__">__weakref__ (attribut Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.__weakref__">[1]</a>

      <ul>
        <li><a href="tec_doc - Copie.html#Couleur.Couleur.__weakref__">(attribut Couleur.Couleur)</a>, <a href="tec_doc.html#Couleur.Couleur.__weakref__">[1]</a>
</li>
        <li><a href="tec_doc.html#Gradient.Pixel.__weakref__">(attribut Gradient.Pixel)</a>
</li>
        <li><a href="tec_doc - Copie.html#Graphe.Graphe.__weakref__">(attribut Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.__weakref__">[1]</a>
</li>
        <li><a href="tec_doc - Copie.html#Image.Image.__weakref__">(attribut Image.Image)</a>, <a href="tec_doc.html#Image.Image.__weakref__">[1]</a>
</li>
        <li><a href="tec_doc.html#ListeTrieePixel.ListeTrieePixel.__weakref__">(attribut ListeTrieePixel.ListeTrieePixel)</a>
</li>
        <li><a href="tec_doc.html#Partage_eaux.Partage_eaux.__weakref__">(attribut Partage_eaux.Partage_eaux)</a>
</li>
        <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application.__weakref__">(attribut Segmentation_GUI.Application)</a>, <a href="tec_doc.html#Segmentation_GUI.Application.__weakref__">[1]</a>
</li>
        <li><a href="tec_doc - Copie.html#Sommet.Sommet.__weakref__">(attribut Sommet.Sommet)</a>, <a href="tec_doc.html#Sommet.Sommet.__weakref__">[1]</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Arc.Arc.affiche_arc">affiche_arc() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.affiche_arc">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.affiche_capacite">affiche_capacite() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.affiche_capacite">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.affiche_capacite_res">affiche_capacite_res() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.affiche_capacite_res">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.affiche_destination">affiche_destination() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.affiche_destination">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.affiche_flot">affiche_flot() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.affiche_flot">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Image.Image.affiche_image_RGB">affiche_image_RGB() (méthode Image.Image)</a>, <a href="tec_doc.html#Image.Image.affiche_image_RGB">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.affiche_les_arcs">affiche_les_arcs() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.affiche_les_arcs">[1]</a>
</li>
      <li><a href="tec_doc.html#ListeTrieePixel.ListeTrieePixel.affiche_liste_triee_pixel">affiche_liste_triee_pixel() (méthode ListeTrieePixel.ListeTrieePixel)</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.affiche_origine">affiche_origine() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.affiche_origine">[1]</a>
</li>
      <li><a href="tec_doc.html#Gradient.Pixel.affiche_pixel">affiche_pixel() (méthode Gradient.Pixel)</a>
</li>
      <li><a href="tec_doc - Copie.html#Sommet.Sommet.affiche_sommet">affiche_sommet() (méthode Sommet.Sommet)</a>, <a href="tec_doc.html#Sommet.Sommet.affiche_sommet">[1]</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application.affiche_zone">affiche_zone() (méthode Segmentation_GUI.Application)</a>, <a href="tec_doc.html#Segmentation_GUI.Application.affiche_zone">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.ajoute_arc">ajoute_arc() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.ajoute_arc">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.ajoute_extremite">ajoute_extremite() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.ajoute_extremite">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.ajoute_id_ds_liste_adj_id_voisin">ajoute_id_ds_liste_adj_id_voisin() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.ajoute_id_ds_liste_adj_id_voisin">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.ajoute_sommet">ajoute_sommet() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.ajoute_sommet">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application">Application (classe dans Segmentation_GUI)</a>, <a href="tec_doc.html#Segmentation_GUI.Application">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc">Arc (classe dans Arc)</a>, <a href="tec_doc.html#Arc.Arc">[1]</a>

      <ul>
        <li><a href="tec_doc - Copie.html#module-Arc">(module)</a>, <a href="tec_doc.html#module-Arc">[1]</a>
</li>
      </ul></li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.arc_de_sommet1_a_sommet2">arc_de_sommet1_a_sommet2() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.arc_de_sommet1_a_sommet2">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.arc_inverse">arc_inverse() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.arc_inverse">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.augmente_capacite_res">augmente_capacite_res() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.augmente_capacite_res">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.augmente_flot">augmente_flot() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.augmente_flot">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application.calcul_zone">calcul_zone() (méthode Segmentation_GUI.Application)</a>, <a href="tec_doc.html#Segmentation_GUI.Application.calcul_zone">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application.calcule_boule_de_pixels_autour_de_pixel">calcule_boule_de_pixels_autour_de_pixel() (méthode Segmentation_GUI.Application)</a>, <a href="tec_doc.html#Segmentation_GUI.Application.calcule_boule_de_pixels_autour_de_pixel">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application.calcule_boules_de_pixels_from_selection">calcule_boules_de_pixels_from_selection() (méthode Segmentation_GUI.Application)</a>, <a href="tec_doc.html#Segmentation_GUI.Application.calcule_boules_de_pixels_from_selection">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.calcule_capacite">calcule_capacite() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.calcule_capacite">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.capacite_res_min_dans_chemin">capacite_res_min_dans_chemin() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.capacite_res_min_dans_chemin">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.cherche_chemin_maximal_arcs">cherche_chemin_maximal_arcs() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.cherche_chemin_maximal_arcs">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.cherche_chemin_maximal_sommets">cherche_chemin_maximal_sommets() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.cherche_chemin_maximal_sommets">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.cherche_chemin_minimal">cherche_chemin_minimal() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.cherche_chemin_minimal">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.cherche_chemin_PL_depuis_arrivee">cherche_chemin_PL_depuis_arrivee() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.cherche_chemin_PL_depuis_arrivee">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Image.Image.colorie_liste_points">colorie_liste_points() (méthode Image.Image)</a>, <a href="tec_doc.html#Image.Image.colorie_liste_points">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Image.Image.colorie_zone_img_RGB_np">colorie_zone_img_RGB_np() (méthode Image.Image)</a>, <a href="tec_doc.html#Image.Image.colorie_zone_img_RGB_np">[1]</a>
</li>
      <li><a href="tec_doc.html#Gradient.Pixel.coord_voisin">coord_voisin() (méthode Gradient.Pixel)</a>

      <ul>
        <li><a href="tec_doc - Copie.html#Sommet.Sommet.coord_voisin">(méthode Sommet.Sommet)</a>, <a href="tec_doc.html#Sommet.Sommet.coord_voisin">[1]</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.coordonnees_2_id_sommet">coordonnees_2_id_sommet() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.coordonnees_2_id_sommet">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Couleur.Couleur">Couleur (classe dans Couleur)</a>, <a href="tec_doc.html#Couleur.Couleur">[1]</a>

      <ul>
        <li><a href="tec_doc - Copie.html#module-Couleur">(module)</a>, <a href="tec_doc.html#module-Couleur">[1]</a>
</li>
      </ul></li>
      <li><a href="tec_doc - Copie.html#Couleur.Couleur.couleur_2_RVB">couleur_2_RVB() (méthode Couleur.Couleur)</a>, <a href="tec_doc.html#Couleur.Couleur.couleur_2_RVB">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Couleur.Couleur.couleur_2_RVB_png">couleur_2_RVB_png() (méthode Couleur.Couleur)</a>, <a href="tec_doc.html#Couleur.Couleur.couleur_2_RVB_png">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Image.Image.couleur_entier_8bits">couleur_entier_8bits() (méthode Image.Image)</a>, <a href="tec_doc.html#Image.Image.couleur_entier_8bits">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Couleur.Couleur.couleur_float_2_entier_8bits">couleur_float_2_entier_8bits() (méthode Couleur.Couleur)</a>, <a href="tec_doc.html#Couleur.Couleur.couleur_float_2_entier_8bits">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.cree_arc">cree_arc() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.cree_arc">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.cree_double_arc">cree_double_arc() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.cree_double_arc">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.cree_liste_adj_id_voisins">cree_liste_adj_id_voisins() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.cree_liste_adj_id_voisins">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.cree_liste_id_sommets_voisins">cree_liste_id_sommets_voisins() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.cree_liste_id_sommets_voisins">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Arc.Arc.diminue_capacite_res">diminue_capacite_res() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.diminue_capacite_res">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.diminue_flot">diminue_flot() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.diminue_flot">[1]</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.distances_maximales">distances_maximales() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.distances_maximales">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.distances_minimales">distances_minimales() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.distances_minimales">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="E">E</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.edmond_karp">edmond_karp() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.edmond_karp">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Sommet.Sommet.est_egal">est_egal() (méthode Sommet.Sommet)</a>, <a href="tec_doc.html#Sommet.Sommet.est_egal">[1]</a>
</li>
      <li><a href="tec_doc.html#Gradient.Pixel.est_inferieur">est_inferieur() (méthode Gradient.Pixel)</a>
</li>
      <li><a href="tec_doc.html#Gradient.Pixel.est_superieur">est_superieur() (méthode Gradient.Pixel)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc.html#ListeTrieePixel.ListeTrieePixel.est_vide">est_vide() (méthode ListeTrieePixel.ListeTrieePixel)</a>
</li>
      <li><a href="tec_doc - Copie.html#Image.Image.export_image_2_file">export_image_2_file() (méthode Image.Image)</a>, <a href="tec_doc.html#Image.Image.export_image_2_file">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application.exporte_image">exporte_image() (méthode Segmentation_GUI.Application)</a>, <a href="tec_doc.html#Segmentation_GUI.Application.exporte_image">[1]</a>
</li>
      <li><a href="tec_doc.html#Partage_eaux.Partage_eaux.extrait_liste_coordonnees_des_pixels_de_zone">extrait_liste_coordonnees_des_pixels_de_zone() (méthode Partage_eaux.Partage_eaux)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.ford_fulkerson">ford_fulkerson() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.ford_fulkerson">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc.html#module-Gradient">Gradient (module)</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.graph_cut">graph_cut() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.graph_cut">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.graph_cut_2">graph_cut_2() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.graph_cut_2">[1]</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe">Graphe (classe dans Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe">[1]</a>

      <ul>
        <li><a href="tec_doc - Copie.html#module-Graphe">(module)</a>, <a href="tec_doc.html#module-Graphe">[1]</a>
</li>
      </ul></li>
      <li><a href="tec_doc - Copie.html#Image.Image.gray_2_RGB">gray_2_RGB() (méthode Image.Image)</a>, <a href="tec_doc.html#Image.Image.gray_2_RGB">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.id_sommet_2_coordonnees">id_sommet_2_coordonnees() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.id_sommet_2_coordonnees">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Image.Image">Image (classe dans Image)</a>, <a href="tec_doc.html#Image.Image">[1]</a>

      <ul>
        <li><a href="tec_doc - Copie.html#module-Image">(module)</a>, <a href="tec_doc.html#module-Image">[1]</a>
</li>
      </ul></li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.image_2_liste_adj_arcs">image_2_liste_adj_arcs() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.image_2_liste_adj_arcs">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.image_2_liste_sommets">image_2_liste_sommets() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.image_2_liste_sommets">[1]</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application.import_image">import_image() (méthode Segmentation_GUI.Application)</a>, <a href="tec_doc.html#Segmentation_GUI.Application.import_image">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Image.Image.import_image_from_file">import_image_from_file() (méthode Image.Image)</a>, <a href="tec_doc.html#Image.Image.import_image_from_file">[1]</a>
</li>
      <li><a href="tec_doc.html#Partage_eaux.Partage_eaux.initialise_liste_depuis_marqueurs">initialise_liste_depuis_marqueurs() (méthode Partage_eaux.Partage_eaux)</a>
</li>
      <li><a href="tec_doc.html#ListeTrieePixel.ListeTrieePixel.insere_pixel">insere_pixel() (méthode ListeTrieePixel.ListeTrieePixel)</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.inverse">inverse() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.inverse">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.inverse_capacite_res">inverse_capacite_res() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.inverse_capacite_res">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.list_coordonnees_2_list_id_sommet">list_coordonnees_2_list_id_sommet() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.list_coordonnees_2_list_id_sommet">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.list_id_sommet_2_list_sommets">list_id_sommet_2_list_sommets() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.list_id_sommet_2_list_sommets">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application.liste_bkg_nulle">liste_bkg_nulle() (méthode Segmentation_GUI.Application)</a>, <a href="tec_doc.html#Segmentation_GUI.Application.liste_bkg_nulle">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.liste_id_sommets_2_liste_coordonnees">liste_id_sommets_2_liste_coordonnees() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.liste_id_sommets_2_liste_coordonnees">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.liste_id_sommets_atteignables">liste_id_sommets_atteignables() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.liste_id_sommets_atteignables">[1]</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.liste_id_sommets_atteignables_aux">liste_id_sommets_atteignables_aux() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.liste_id_sommets_atteignables_aux">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.liste_id_sommets_atteignables_it">liste_id_sommets_atteignables_it() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.liste_id_sommets_atteignables_it">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application.liste_obj_nulle">liste_obj_nulle() (méthode Segmentation_GUI.Application)</a>, <a href="tec_doc.html#Segmentation_GUI.Application.liste_obj_nulle">[1]</a>
</li>
      <li><a href="tec_doc.html#ListeTrieePixel.ListeTrieePixel">ListeTrieePixel (classe dans ListeTrieePixel)</a>

      <ul>
        <li><a href="tec_doc.html#module-ListeTrieePixel">(module)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Sommet.Sommet.maj_dist">maj_dist() (méthode Sommet.Sommet)</a>, <a href="tec_doc.html#Sommet.Sommet.maj_dist">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Sommet.Sommet.maj_etat">maj_etat() (méthode Sommet.Sommet)</a>, <a href="tec_doc.html#Sommet.Sommet.maj_etat">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Sommet.Sommet.maj_id">maj_id() (méthode Sommet.Sommet)</a>, <a href="tec_doc.html#Sommet.Sommet.maj_id">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Sommet.Sommet.maj_id_pere">maj_id_pere() (méthode Sommet.Sommet)</a>, <a href="tec_doc.html#Sommet.Sommet.maj_id_pere">[1]</a>
</li>
      <li><a href="tec_doc.html#Gradient.Pixel.maj_liste_coord_voisins">maj_liste_coord_voisins() (méthode Gradient.Pixel)</a>
</li>
      <li><a href="tec_doc - Copie.html#Sommet.Sommet.maj_pere">maj_pere() (méthode Sommet.Sommet)</a>, <a href="tec_doc.html#Sommet.Sommet.maj_pere">[1]</a>
</li>
      <li><a href="tec_doc.html#Gradient.Pixel.maj_val">maj_val() (méthode Gradient.Pixel)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc.html#Gradient.Pixel.maj_zone">maj_zone() (méthode Gradient.Pixel)</a>

      <ul>
        <li><a href="tec_doc - Copie.html#Sommet.Sommet.maj_zone">(méthode Sommet.Sommet)</a>, <a href="tec_doc.html#Sommet.Sommet.maj_zone">[1]</a>
</li>
      </ul></li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.modifie_capacite">modifie_capacite() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.modifie_capacite">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.modifie_capacite_res">modifie_capacite_res() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.modifie_capacite_res">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.modifie_destination">modifie_destination() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.modifie_destination">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.modifie_flot">modifie_flot() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.modifie_flot">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Arc.Arc.modifie_origine">modifie_origine() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.modifie_origine">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="O">O</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Arc.Arc.oppose">oppose() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.oppose">[1]</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Arc.Arc.oppose_capacite_res">oppose_capacite_res() (méthode Arc.Arc)</a>, <a href="tec_doc.html#Arc.Arc.oppose_capacite_res">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.parcours_largeur">parcours_largeur() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.parcours_largeur">[1]</a>
</li>
      <li><a href="tec_doc.html#Partage_eaux.Partage_eaux.partage">partage() (méthode Partage_eaux.Partage_eaux)</a>
</li>
      <li><a href="tec_doc.html#Partage_eaux.Partage_eaux">Partage_eaux (classe dans Partage_eaux)</a>

      <ul>
        <li><a href="tec_doc.html#module-Partage_eaux">(module)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc.html#Gradient.Pixel">Pixel (classe dans Gradient)</a>
</li>
      <li><a href="tec_doc.html#ListeTrieePixel.ListeTrieePixel.plus_petit_pixel">plus_petit_pixel() (méthode ListeTrieePixel.ListeTrieePixel)</a>
</li>
      <li><a href="tec_doc.html#ListeTrieePixel.ListeTrieePixel.pop_pixel">pop_pixel() (méthode ListeTrieePixel.ListeTrieePixel)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.reinitialise_etat_de_tous_les_sommets">reinitialise_etat_de_tous_les_sommets() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.reinitialise_etat_de_tous_les_sommets">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#module-Segmentation_GUI">Segmentation_GUI (module)</a>, <a href="tec_doc.html#module-Segmentation_GUI">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application.select_pixel_bkg">select_pixel_bkg() (méthode Segmentation_GUI.Application)</a>, <a href="tec_doc.html#Segmentation_GUI.Application.select_pixel_bkg">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application.select_pixel_bkg_maj">select_pixel_bkg_maj() (méthode Segmentation_GUI.Application)</a>, <a href="tec_doc.html#Segmentation_GUI.Application.select_pixel_bkg_maj">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application.select_pixel_obj">select_pixel_obj() (méthode Segmentation_GUI.Application)</a>, <a href="tec_doc.html#Segmentation_GUI.Application.select_pixel_obj">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Segmentation_GUI.Application.select_pixel_obj_maj">select_pixel_obj_maj() (méthode Segmentation_GUI.Application)</a>, <a href="tec_doc.html#Segmentation_GUI.Application.select_pixel_obj_maj">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Sommet.Sommet">Sommet (classe dans Sommet)</a>, <a href="tec_doc.html#Sommet.Sommet">[1]</a>

      <ul>
        <li><a href="tec_doc - Copie.html#module-Sommet">(module)</a>, <a href="tec_doc.html#module-Sommet">[1]</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.suppr_id_de_liste_adj_id_voisin">suppr_id_de_liste_adj_id_voisin() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.suppr_id_de_liste_adj_id_voisin">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.supprime_arc">supprime_arc() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.supprime_arc">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.supprime_arcs_capacite_res_neg_nulle">supprime_arcs_capacite_res_neg_nulle() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.supprime_arcs_capacite_res_neg_nulle">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.supprime_arcs_capacite_res_nulle">supprime_arcs_capacite_res_nulle() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.supprime_arcs_capacite_res_nulle">[1]</a>
</li>
      <li><a href="tec_doc - Copie.html#Graphe.Graphe.supprime_arcs_vers_sommet">supprime_arcs_vers_sommet() (méthode Graphe.Graphe)</a>, <a href="tec_doc.html#Graphe.Graphe.supprime_arcs_vers_sommet">[1]</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="tec_doc.html#ListeTrieePixel.ListeTrieePixel.taille_liste">taille_liste() (méthode ListeTrieePixel.ListeTrieePixel)</a>
</li>
  </ul></td>
</tr></table>



          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="#" title="Index général"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Index des modules Python"
             >modules</a> |</li>
<li><a href="index.html">Segmentation Image home</a>| </li>
<li><a href="contents.html">Documentation </a> &raquo;</li>
 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, Cecile Prouteau.
      Créé avec <a href="http://sphinx-doc.org/">Sphinx</a> 1.7.9.
    </div>
  </body>
</html>